Bug 977399 - [abrt] cinnamon-1.9.1-12.fc19: strlen: Process /usr/bin/cinnamon was killed by signal 11 (SIGSEGV)
[abrt] cinnamon-1.9.1-12.fc19: strlen: Process /usr/bin/cinnamon was killed b...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:e726e350f483184b084f35e2d05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 09:01 EDT by Julian Stecklina
Modified: 2015-01-16 03:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 03:50:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (211.88 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: core_backtrace (4.89 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: dso_list (19.07 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: environ (1.45 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: maps (84.01 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: open_fds (4.71 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details
File: var_log_messages (8.76 KB, text/plain)
2013-06-24 09:01 EDT, Julian Stecklina
no flags Details

  None (edit)
Description Julian Stecklina 2013-06-24 09:01:13 EDT
Version-Release number of selected component:
cinnamon-1.9.1-12.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: strlen
executable:     /usr/bin/cinnamon
kernel:         3.9.6-301.fc19.x86_64
runlevel:       unknown
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:42
 #1 __strdup at strdup.c:41
 #2 IA__FcValueSave at fcpat.c:95
 #3 FcPatternObjectAddWithBinding at fcpat.c:605
 #4 IA__FcConfigSubstituteWithPat at fccfg.c:1517
 #5 IA__FcConfigSubstitute at fccfg.c:1750
 #6 pango_cairo_fc_font_map_fontset_key_substitute at pangocairo-fcfontmap.c:111
 #7 pango_fc_font_map_get_patterns at pangofc-fontmap.c:1653
 #8 pango_fc_font_map_load_fontset at pangofc-fontmap.c:1755
 #9 itemize_state_update_for_new_run at pango-context.c:1396
Comment 1 Julian Stecklina 2013-06-24 09:01:18 EDT
Created attachment 764575 [details]
File: backtrace
Comment 2 Julian Stecklina 2013-06-24 09:01:22 EDT
Created attachment 764576 [details]
File: cgroup
Comment 3 Julian Stecklina 2013-06-24 09:01:27 EDT
Created attachment 764577 [details]
File: core_backtrace
Comment 4 Julian Stecklina 2013-06-24 09:01:30 EDT
Created attachment 764578 [details]
File: dso_list
Comment 5 Julian Stecklina 2013-06-24 09:01:36 EDT
Created attachment 764579 [details]
File: environ
Comment 6 Julian Stecklina 2013-06-24 09:01:40 EDT
Created attachment 764580 [details]
File: limits
Comment 7 Julian Stecklina 2013-06-24 09:01:43 EDT
Created attachment 764581 [details]
File: maps
Comment 8 Julian Stecklina 2013-06-24 09:01:47 EDT
Created attachment 764582 [details]
File: open_fds
Comment 9 Julian Stecklina 2013-06-24 09:01:50 EDT
Created attachment 764583 [details]
File: proc_pid_status
Comment 10 Julian Stecklina 2013-06-24 09:01:54 EDT
Created attachment 764584 [details]
File: var_log_messages
Comment 11 leigh scott 2013-06-25 10:12:49 EDT
reassigned to pango
Comment 12 Akira TAGOH 2013-06-26 05:50:34 EDT
Is this issue reproducible?
Comment 13 Julian Stecklina 2013-06-27 15:41:37 EDT
It seems not. Hasn't happened again.
Comment 14 Akira TAGOH 2013-07-01 22:35:22 EDT
I'll keep this open for a while. please add any comments with more information how to reproduce, what you did and so on, when you see this again.
Comment 15 Fedora End Of Life 2015-01-09 13:31:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Akira TAGOH 2015-01-16 03:50:29 EST
No reproducible information. I'll close this as assuming this issue is gone in the latest version. please reopen if it still persists.

Note You need to log in before you can comment on or make changes to this bug.